tntdb::Statement::const_iterator Class Reference

This class represents a database-cursor. More...

`#include <statement_iterator.h>`

Inheritance diagram for tntdb::Statement::const_iterator:

## Public Member Functions

| const_iterator (ICursor *cursor_=0)
bool | operator== (const const_iterator &c) const
| Returns true, when the cursor points to the same iteration as the passed iterator.
bool | operator!= (const const_iterator &c) const
| Returns true, when the cursor does not point to the same iteration as the passed iterator.
const_iterator & | operator++ ()
| Fetches the next row.
const_iterator | operator++ (int)
const Row & | operator* () const
| Returns the current tntdb::Row-object.
const Row * | operator-> () const
| This operator makes the const_iterator look like a pointer.
template<typename T >
RowReader | get (T &ret) const
| Instantiates a tntdb::RowReader and fetches the value of the first column.
template<typename T >
RowReader | get (T &ret, bool &nullInd) const
| Instantiates a tntdb::RowReader and fetches the value of the first column and sets the null indicator.
const ICursor * | getImpl () const
| Returns the actual implementation-class.

## Detailed Description

This class represents a database-cursor.

## Member Function Documentation

## get() [1/2]

template<typename T >

RowReader tntdb::Statement::const_iterator::get | ( | T & | ret | ) | const

Instantiates a tntdb::RowReader and fetches the value of the first column.

## get() [2/2]

template<typename T >

RowReader tntdb::Statement::const_iterator::get | ( | T & | ret,
|  | bool & | nullInd
| ) |  | const

Instantiates a tntdb::RowReader and fetches the value of the first column and sets the null indicator.

## getImpl()

const ICursor * tntdb::Statement::const_iterator::getImpl | ( |  | ) | const

inline

Returns the actual implementation-class.

## operator!=()

bool tntdb::Statement::const_iterator::operator!= | ( | const const_iterator & | c | ) | const

inline

Returns true, when the cursor does not point to the same iteration as the passed iterator.

## operator*()

const Row & tntdb::Statement::const_iterator::operator* | ( |  | ) | const

inline

Returns the current tntdb::Row-object.

## operator++()

const_iterator & tntdb::Statement::const_iterator::operator++ | ( |  | ) |

Fetches the next row.

If no rows are available, the cursor is closed and removed from this class.

## operator->()

const Row * tntdb::Statement::const_iterator::operator-> | ( |  | ) | const

inline

This operator makes the const_iterator look like a pointer.

## operator==()

bool tntdb::Statement::const_iterator::operator== | ( | const const_iterator & | c | ) | const

inline

Returns true, when the cursor points to the same iteration as the passed iterator.

The documentation for this class was generated from the following files:

- tntdb/bits/statement_iterator.h
- tntdb/statement.h